.CodeMirror .CodeMirror-code {
  .cm-header-1 {
    font-size: 160%;
    line-height: 1;
  }
  .cm-header-2 {
    font-size: 140%;
    line-height: 1;
  }
  .cm-header-3 {
    font-size: 120%;
    line-height: 1;
  }
  .cm-header-4 {
    font-size: 100%;
    line-height: 1;
  }
  .cm-header-5 {
    font-size: 100%;
    line-height: 1;
  }
}

.CodeMirror, .CodeMirror-scroll {
  min-height: 200px;
}

.CodeMirror-lines {
  font-family: "Source Code Pro", monospace;
  color: #555;
  font-size: .9em;
}


.fa.fa-local {
  font-family: inherit;
  font-weight: bold;
  letter-spacing: -.05em;

  &:before {
    font-size: 1.1em;
  }

  &.fa-local-anfuehrungszeichen:before {
    content: "„“";
  }
  &.fa-local-ndash:before {
    content: "–";
  }
  &.fa-local-ellipsis:before {
    content: "…";
  }
}

.editor-preview-side {
  ul {
    list-style: disc;
    margin: 1.3em 0;
    padding-left: 1.8em;
  }
  //#TODO: include more preview styles
}
.cm-atom {
  color: #d70;
}

.cm-tab + .cm-tab {
  border-left: 1px dotted #ddd;
}
.CodeMirror-activeline-background {
    background: #f2f8ff;
}
.CodeMirror-activeline-gutter > .CodeMirror-linenumber {
    color: #555;
}
.CodeMirror.cm-s-screen {
  padding: 0;
}

// Toolbar
.editor-toolbar.editor-toolbar--fixed {
  position: fixed;
  height: 50px;
  overflow-x: auto;
  overflow-y: hidden;
  white-space: nowrap;
  padding-top: 10px;
  padding-bottom: 10px;
  box-sizing: border-box;
  background: #fff;
  border-top: none;
  border-bottom: 1px solid #bbb;
  border-radius: 0;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  position: fixed;
  top: 0;
  left: 0;
  opacity: 1;
  z-index: 9;

  border-color: rgba(187, 187, 187, 0.6);
  > * {
    opacity: 0.6;
  }

  &:hover {
    border-color: rgba(187, 187, 187, 0.9);
    > * {
      opacity: 0.9;
    }
  }

  &::before {
    margin: 0;
  }
  /*&::before,
  &::after {
    width: 20px;
    height: 50px;
    position: fixed;
    top: 0;
    left: 0;
    margin: 0;
    padding: 0;
  }

  &::before {
    background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
  }

  &::after {
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
  }*/
}
